=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               gettext,
               libgpgmepp-dev (>= 1.16.0~),
               libgrantlee5-dev (>= 5.2.0~),
               libkf5akonadi-dev (>= 4:22.08.3~),
               libkf5akonadicalendar-dev (>= 4:22.08.3~),
               libkf5akonadicontact-dev (>= 4:22.08.3~),
               libkf5akonadinotes-dev (>= 4:22.08.3~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5calendarsupport-dev (>= 4:22.08.3~),
               libkf5calendarutils-dev (>= 4:22.08.3~),
               libkf5config-dev (>= 5.95.0~),
               libkf5contacteditor-dev (>= 4:22.08.3~),
               libkf5contacts-dev (>= 5:5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5declarative-dev (>= 5.95.0~),
               libkf5eventviews-dev (>= 4:22.08.3~),
               libkf5grantleetheme-dev (>= 22.08.3~),
               libkf5gravatar-dev (>= 4:22.08.3~),
               libkf5guiaddons-dev (>= 5.95.0~),
               libkf5holidays-dev (>= 1:5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5iconthemes-dev (>= 5.95.0~),
               libkf5identitymanagement-dev,
               libkf5imap-dev (>= 22.08.3~),
               libkf5incidenceeditor-dev (>= 22.08.3~),
               libkf5kio-dev (>= 5.95.0~),
               libkf5ksieve-dev (>= 4:22.08.3~),
               libkf5libkdepim-dev (>= 4:22.08.3~),
               libkf5libkleo-dev (>= 4:22.08.3~),
               libkf5mailcommon-dev (>= 4:22.08.3~),
               libkf5mailimporter-dev (>= 4:22.08.3~),
               libkf5mailtransport-dev (>= 22.08.3~),
               libkf5messagecomposer-dev (>= 4:22.08.3~),
               libkf5messagecore-dev (>= 4:22.08.3~),
               libkf5messagelist-dev (>= 4:22.08.3~),
               libkf5messageviewer-dev (>= 4:22.08.3~),
               libkf5parts-dev (>= 5.95.0~),
               libkf5pimcommon-dev (>= 4:22.08.3~),
               libkf5pimtextedit-dev (>= 22.08.3~),
               libkf5prison-dev (>= 5.95.0~),
               libkf5syntaxhighlighting-dev (>= 5.95.0~),
               libkf5templateparser-dev (>= 4:22.08.3~),
               libkf5tnef-dev (>= 4:22.08.3~),
               libkf5webengineviewer-dev (>= 4:22.08.3~),
               libkf5xmlgui-dev (>= 5.95.0~),
               libkpimaddressbookimportexport-dev (>= 4:22.08.3~),
               libkpimimportwizard-dev (>= 4:22.08.3~),
               libkpimitinerary-dev (>= 22.08.3~),
               libkpimpkpass-dev (>= 22.08.3~),
               libmarkdown2-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qtwebengine5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.0~),
               xauth,
               xvfb
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: any
Multi-Arch: same
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
